Skip to main content
GET
Get a Run

Authorizations

x-api-key
string
header
required

Pass your Exa API key in the x-api-key header. You can also authenticate with Authorization: Bearer .

Path Parameters

id
string
required

The monitor ID

runId
string
required

The run ID

Response

The run

id
string
required

The unique identifier for the run

monitorId
string
required

The monitor this run belongs to

status
enum<string>
required

The status of the run

Available options:
pending,
running,
completed,
failed,
cancelled
output
object | null
required

The output of the run. Null until the run completes.

failReason
enum<string> | null
required

The reason the run failed. Null unless status is failed. source_not_available means the search requested a domain Exa cannot return (remove it from the search), and forbidden means the request was otherwise not permitted.

Available options:
api_key_invalid,
insufficient_credits,
invalid_params,
rate_limited,
source_not_available,
forbidden,
search_unavailable,
search_failed,
internal_error
startedAt
string<date-time>
required

When the run started executing

completedAt
string<date-time>
required

When the run completed successfully

failedAt
string<date-time>
required

When the run failed

cancelledAt
string<date-time>
required

When the run was cancelled

durationMs
integer | null
required

Total execution time in milliseconds

createdAt
string<date-time>
required

When the run was created

updatedAt
string<date-time>
required

When the run was last updated